Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046743 - [abrt] evas-generic-loaders: rsvg_handle_get_dimensions(): evas_image_loader.svg killed by SIGSEGV
Summary: [abrt] evas-generic-loaders: rsvg_handle_get_dimensions(): evas_image_loader....
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evas-generic-loaders
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benoît Marcelin
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41af4f65adcf99fb08388639e9d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 21:36 UTC by James Wrigley
Modified: 2015-06-29 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:50:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.53 KB, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: core_backtrace (3.51 KB, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: dso_list (5.42 KB, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: environ (2.68 KB, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: maps (27.26 KB, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: open_fds (560 bytes, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details
File: var_log_messages (600 bytes, text/plain)
2013-12-26 21:36 UTC, James Wrigley
no flags Details

Description James Wrigley 2013-12-26 21:36:34 UTC
Description of problem:
I had just right-clicked on a shelf item (can't remember which) when this error occurred. It was a completely fresh install, this was the first time I had logged into Enlightenment.

Version-Release number of selected component:
evas-generic-loaders-1.7.9-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib64/evas/utils/evas_image_loader.svg /home/james/Pictures/Wallpapers/meditate.svg -head -opt-size 128 128
crash_function: rsvg_handle_get_dimensions
executable:     /usr/lib64/evas/utils/evas_image_loader.svg
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 rsvg_handle_get_dimensions at rsvg-base.c:1287
 #1 read_svg_header at main.c:83

Comment 1 James Wrigley 2013-12-26 21:36:39 UTC
Created attachment 842090 [details]
File: backtrace

Comment 2 James Wrigley 2013-12-26 21:36:41 UTC
Created attachment 842091 [details]
File: cgroup

Comment 3 James Wrigley 2013-12-26 21:36:43 UTC
Created attachment 842092 [details]
File: core_backtrace

Comment 4 James Wrigley 2013-12-26 21:36:45 UTC
Created attachment 842093 [details]
File: dso_list

Comment 5 James Wrigley 2013-12-26 21:36:47 UTC
Created attachment 842094 [details]
File: environ

Comment 6 James Wrigley 2013-12-26 21:36:48 UTC
Created attachment 842095 [details]
File: exploitable

Comment 7 James Wrigley 2013-12-26 21:36:50 UTC
Created attachment 842096 [details]
File: limits

Comment 8 James Wrigley 2013-12-26 21:36:53 UTC
Created attachment 842097 [details]
File: maps

Comment 9 James Wrigley 2013-12-26 21:36:55 UTC
Created attachment 842098 [details]
File: open_fds

Comment 10 James Wrigley 2013-12-26 21:36:56 UTC
Created attachment 842099 [details]
File: proc_pid_status

Comment 11 James Wrigley 2013-12-26 21:36:58 UTC
Created attachment 842100 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2015-02-26 21:38:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-05-29 10:11:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 13:50:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.